Bug 175410 - ICE with a f90 code
Summary: ICE with a f90 code
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-09 21:39 UTC by Pawel Salek
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 13:38:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 25391 None None None Never

Description Pawel Salek 2005-12-09 21:39:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
Following f90 code triggers an ICE
$ gfortran  bug.f90
:bug.f90: In function âsâ:
bug.f90:20: internal compiler error: in fold_convert, at fold-const.c:2038


Version-Release number of selected component (if applicable):
gcc-gfortran-4.1.0-0.6

How reproducible:
Always

Steps to Reproduce:
MODULE ma
   TYPE rd
      REAL   :: ext
   END TYPE rd
   TYPE rmd 
      TYPE(rd), POINTER :: oned(:)
      REAL,     POINTER :: twod(:,:)  
   END TYPE rmd
END MODULE ma

MODULE b
   USE ma
   TYPE(rd), POINTER, SAVE :: lcopy(:) 
CONTAINS
   SUBROUTINE s(arg)
      USE ma
      IMPLICIT NONE
      TYPE(rmd),  INTENT(INOUT) :: arg
      INTEGER :: dim
      dim = SIZE(arg%twod,2)
      lcopy = arg%oned(:)
   END SUBROUTINE s
END MODULE b


Additional info:

Comment 1 Jakub Jelinek 2005-12-13 13:38:24 UTC
This is better tracked upstream.


Note You need to log in before you can comment on or make changes to this bug.